cross
New Foswiki release 2.1.6 is available with important security fixes.
Sourceforge foswiki email lists being discontinued. Subscribe to the new Foswiki announce and discuss lists at MailingLists
This question about Installation of Foswiki: Closed unanswered

Failure to upgrade extensions from Browser

I am running Foswiki-2.0.1, Plugin API version 2.3

When I login to my Fowswiki installation I get a warning:

Warning: Updates found for 17 extension(s)

I click on Upgrade button that loads /bin/configure. I then navigate to:
  • Extensions on left side
  • Extension Operation and Maintenance Tab
  • Install, Update or Remove Extensions SubTab
  • Click on "Review Installed Extensions" button
At this point I see a in page popup with a list of extensions and mouse cursor is always spinning.
  • But I can still proceed and I do by clicking on one plugin that has a newer version avaialble. For example, SmiliesPlugin.
  • Click on "Upgrade" button
I observe waiting for the server message. Please, be patient.

Then: Don't forget to save your configuration to complete installation of SmiliesPlugin

Installation finished

{Plugins}{SmiliesPlugin}{Enabled} = 1

{Plugins}{SmiliesPlugin}{Module} = Foswiki::Plugins::SmiliesPlugin

I don't see Save button anywhere.
  • Click on "Close" button of popup
The message dissapears, but popup stays. I loaded Chrome's Debugger and see no error message on Console.
  • Click on "Close" button again.
Popup is gone. I still see no "Save" button anywere. So, my changes fail to apply.

Actually, there is a "Save" button in the top right corner to the right of Search, but it is disabled. I clicked on it anyway. Hmm That's something I did differently compared to last times and it appears that plugin is installed. I opened a new tab, got the same 17 exttensions message. However, when I repeate my update procedure SmilesPlugin is marked as up to date.

so, Originally I was going to ask how I am supposed to update, but it appears that I am supposed to click on disabled Save button.

-- SergeiG - 18 Dec 2015

A number of fixed have been done on Configure in 2.0.2 and 2.0.3. I don't recall this particular issue. I'd suggest upgrading to Foswiki 2.0.3.

-- GeorgeClark - 18 Dec 2015

Thank you. I am sorry for obvious question, but do you have a link to upgrade instructions? I am still having hard time navigating through help system.

Thanks

-- SergeiG - 23 Dec 2015

Never mind. Upgrade instructions are part of main Download link.

-- SergeiG - 23 Dec 2015

I made an update to 2.0.3, but I have lost any track of what it was.

-- SergeiG - 24 Jan 2016
 

QuestionForm edit

Subject Installation of Foswiki
Extension
Version Foswiki 2.0.1
Status Closed unanswered
Related Topics
Topic revision: r4 - 24 Jan 2016, SergeiG - This page was cached on 16 Aug 2018 - 10:23.

The copyright of the content on this website is held by the contributing authors, except where stated elsewhere. See Copyright Statement. Creative Commons License    Legal Imprint    Privacy Policy